Generate SOTT

Generates a new Secure One Time Token (SOTT) for the Tenant based on specified technology and parameters.

POST
/v2/manage/sott

Generates a new Secure One Time Token (SOTT) for the Tenant based on specified technology and parameters.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/sott" \  -H "Content-Type: application/json" \  -d '{    "ExpiresInMinutes": 30,    "Technology": "android"  }'
{
  "AuthenticityToken": "string",
  "Technology": "android",
  "Sott": "string",
  "Comment": "string",
  "CreatedDate": "2019-08-24T14:15:22Z",
  "DateRange": "string",
  "IsEncoded": true
}

{
  "Message": "A parameter is not formatted correctly.",
  "Description": "The parameter is not formatted correctly, please check all the parameters in the API call",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}